How to Fix Error "This device isn't eligible for the requested build" When Update iOS 8.0.2

Written By Chio Chyo on Saturday, September 27, 2014 | 2:10 AM


Today i tried to update my iOS to version 8.0.2, but i have some problem on my iTunes display error message "This device isn't eligible for the requested build" that mean your iTune cannot communicate with apple update server.
Mostly, the error messages appear when iTunes could not communicate with the server :
  • Error 17
  • Error 1639
  • Errors 3000-3020
  • Error 3194
  • Errors 3100-3999
  • This device isn't eligible for the requested build

Here is step how to fix the error message, fist make sure you have latest version of iTunes, the follow steps below
1. Open terminal type sudo nano /etc/hosts
2. Enter your password.
3. Looking for the following word 74.208.10.249 gs.apple.com
4. Put the symbol # front of the word, now looks like this #74.208.10.249 gs.apple.com
5. Now, press Control on keyboard + O for save the file.
6. Press Enter on keyboard when asked file name.
7. Press Control + X to exit editor.
8. Try to update your iPhone or iPad if you having same errors message please restart your computer.
Error message was fixed
Blog, Updated at: 2:10 AM

0 comments:

Post a Comment